
Redmine - Defect #829

Trackers doubled in New Issue on Issues page

2008-03-11 08:46 - Marc Horowitz

Status: Closed Start date: 2008-03-11

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

A picture is worth 1000 words.  See attached.

Related issues:

Related to Redmine - Defect #13059: Custom fields are listed two times in wor... Closed

Associated revisions

Revision 1263 - 2008-03-16 15:54 - Jean-Philippe Lang

Trac importer:

prevent duplication of associated trackers when the target project already exists (closes #829)

warn user if the target project already exists

History

#1 - 2008-03-11 17:08 - Jean-Philippe Lang

Did you use the Trac importer for this project ?

#2 - 2008-03-11 19:56 - Marc Horowitz

Ah, yes I did.

#3 - 2008-03-11 20:35 - Jean-Philippe Lang

That's a bug in the Trac importer. I'll fix it to prevent this problem in the future.

Go to projects settings, uncheck the trackers, save, re-check them and re-save. You should no longer see duplicates.

#4 - 2008-03-11 20:37 - Marc Horowitz

I think that was enough of a hint.  The database looks like this:

redmine=# select * from projects_trackers;

project_id | tracker_id

------------+------------

1 |          1

1 |          2

1 |          1

1 |          2

(4 rows)

Deleting the duplicate rows solved the problem.  Perhaps this table should have a unique constraint across both columns?  I believe this would

remove the need for the existing index on project_id, as well.

#5 - 2008-03-16 16:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1263.
